/*------------------------------------------------
--                 LAZZE-GETOBZ                 --
--------------------------------------------------
-- Filename      : error.c
-- Description   : Error handling
--                 
--
-- Author        : Lars Englund
--                 d99las@dtek.chalmers.se
--
--                 Tobias Gedell
--                 d99getob@dtek.chalmers.se
--
-- Created       : 020831
-- Last update   : 020902
------------------------------------------------*/

#include <stdio.h>

#include "error.h"

void throwError(char *msg, char *file, int line)
{
    printf("\n\n");
    printf("-------------------------\n");
    printf("Error in file %s at line %d:\n", file, line);
    printf("%s\n\n", msg);
    exit(0);
}
