/*------------------------------------------------
--                 LAZZE-GETOBZ                 --
--------------------------------------------------
-- Filename      : network.h
-- Description   : The network interface include file
--                 
--
-- Author        : Lars Englund
--                 d99las@dtek.chalmers.se
--
--                 Tobias Gedell
--                 d99getob@dtek.chalmers.se
--
-- Created       : 020831
-- Last update   : 020901
------------------------------------------------*/


#ifndef NETWORK_H
#define NETWORK_H

//- Exported functions
void connectToServer(char *host, int port);

void sendInit();

void sendMove(int bid, int dir);
void sendPick(int bid, int *ids);
void sendDrop(int bid, int *ids);

void getReply();

void getPackets();

void disconnectFromServer();

#endif
