/*------------------------------------------------
--                 LAZZE-GETOBZ                 --
--------------------------------------------------
-- Filename      : error.h
-- Description   : Error handling
--                 
--
-- Author        : Lars Englund
--                 d99las@dtek.chalmers.se
--
--                 Tobias Gedell
--                 d99getob@dtek.chalmers.se
--
-- Created       : 020831
-- Last update   : 020831
------------------------------------------------*/

#ifndef ERROR_H
#define ERROR_H

#include <stdlib.h>

#ifdef NOERROR
    #define ERROR(msg)
#else
    #define ERROR(msg) throwError(msg, __FILE__, __LINE__)
#endif

void throwError(char *msg, char *file, int line);

#endif
